Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui.wizard
Class WizardTools

    java.lang.Object
      ru.biosoft.gui.wizard.WizardTools

public class WizardTools
extends java.lang.Object

Field Summary
`static java.lang.String` | `DEFAULT_SEQUENCE`
`static java.lang.String` | `DGSF`
`static java.lang.String` | `DGSF_SENSITIVITY`
`static java.lang.String` | `DGSF_THRESHOLD`
`static java.lang.String` | `DGSF_THRESHOLD_VALUE`
`static java.lang.String` | `DPF`
`static java.lang.String` | `DPF_SENSITIVITY`
`static java.lang.String` | `HIGH_SEN`
`static java.lang.String` | `LOW_SEN`
`static java.lang.String` | `MATCH`
`static java.lang.String` | `MATCH_DEFAULT_PROFILE`
`static double` | `MAX_SENSITIVITY_DPF`
`static double` | `MAX_THRESHOLD_DGSF`
`static int` | `MAXIMUM_FREQUENCY`
`static int` | `MAXIMUM_SEQ_NUMBER`
`static java.lang.String` | `MEDIUM_SEN`
`static double` | `MIN_SENSITIVITY_DPF`
`static double` | `MIN_THRESHOLD_DGSF`
`static java.lang.String` | `VERY_HIGH_SEN`
`static java.lang.String` | `VERY_LOW_SEN`

Constructor Summary
`WizardTools()`

Method Summary
`java.lang.String` | `getDefaultSequence()`
`java.util.Hashtable` | `getDragonParameter()`
`java.util.Hashtable` | `getSelectedTools()`
`void` | `ResetParam(java.lang.String toolname)`
`void` | `setDragonParameter(java.lang.String key, java.lang.String value)`
`void` | `setSelectedTools(java.lang.String key, java.lang.Boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DPF

    public static java.lang.String DPF

### DGSF

    public static java.lang.String DGSF

### MATCH

    public static java.lang.String MATCH

### DPF_SENSITIVITY

    public static java.lang.String DPF_SENSITIVITY

### DGSF_SENSITIVITY

    public static java.lang.String DGSF_SENSITIVITY

### DGSF_THRESHOLD

    public static java.lang.String DGSF_THRESHOLD

### MATCH_DEFAULT_PROFILE

    public static java.lang.String MATCH_DEFAULT_PROFILE

### DEFAULT_SEQUENCE

    public static java.lang.String DEFAULT_SEQUENCE

### MAXIMUM_FREQUENCY

    public static int MAXIMUM_FREQUENCY

### MAXIMUM_SEQ_NUMBER

    public static int MAXIMUM_SEQ_NUMBER

### VERY_HIGH_SEN

    public static java.lang.String VERY_HIGH_SEN

### HIGH_SEN

    public static java.lang.String HIGH_SEN

### MEDIUM_SEN

    public static java.lang.String MEDIUM_SEN

### LOW_SEN

    public static java.lang.String LOW_SEN

### VERY_LOW_SEN

    public static java.lang.String VERY_LOW_SEN

### DGSF_THRESHOLD_VALUE

    public static java.lang.String DGSF_THRESHOLD_VALUE

### MIN_SENSITIVITY_DPF

    public static double MIN_SENSITIVITY_DPF

### MAX_SENSITIVITY_DPF

    public static double MAX_SENSITIVITY_DPF

### MIN_THRESHOLD_DGSF

    public static double MIN_THRESHOLD_DGSF

### MAX_THRESHOLD_DGSF

    public static double MAX_THRESHOLD_DGSF

Constructor Detail

### WizardTools

    public WizardTools()

Method Detail

### getDragonParameter

    public java.util.Hashtable getDragonParameter()

### getSelectedTools

    public java.util.Hashtable getSelectedTools()

### setDragonParameter

    public void setDragonParameter(java.lang.String key,
                                   java.lang.String value)

### setSelectedTools

    public void setSelectedTools(java.lang.String key,
                                 java.lang.Boolean value)

### ResetParam

    public void ResetParam(java.lang.String toolname)

### getDefaultSequence

    public java.lang.String getDefaultSequence()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.